> ## Documentation Index
> Fetch the complete documentation index at: https://kardow.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all webhook subscriptions for your organization

Returns all webhook subscriptions configured for the organization associated with your API key.

## Examples

```bash cURL theme={null}
curl --request GET \
  --url "https://api.kardow.com/webhooks" \
  --header "x-api-key: your-api-key-here"
```

## Response

<ResponseField name="data" type="array">
  Array of subscription objects.

  <Expandable title="properties">
    <ResponseField name="id" type="string">Subscription ID</ResponseField>
    <ResponseField name="event" type="string">Event name or `*`</ResponseField>
    <ResponseField name="target_type" type="string">`webhook`, `discord`, or `slack`</ResponseField>
    <ResponseField name="target_url" type="string">Delivery URL</ResponseField>
    <ResponseField name="is_enabled" type="boolean">Whether the subscription is active</ResponseField>
    <ResponseField name="created_at" type="string">ISO 8601 timestamp</ResponseField>
    <ResponseField name="updated_at" type="string">ISO 8601 timestamp</ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="meta" type="object">
  <Expandable title="properties">
    <ResponseField name="total" type="number">Total number of subscriptions</ResponseField>
  </Expandable>
</ResponseField>


## OpenAPI

````yaml GET /webhooks
openapi: 3.1.0
info:
  title: Kardow Public API
  description: Public API for jobs and member automation on Kardow.
  version: 1.0.0
  contact:
    name: Kardow Support
    email: support@kardow.com
    url: https://kardow.com
servers:
  - url: https://api.kardow.com
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List Webhooks
      description: List webhook subscriptions for your organization.
      operationId: listWebhookSubscriptions
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSubscriptionsListResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WebhookSubscriptionsListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WebhookSubscription'
        meta:
          type: object
          properties:
            total:
              type: integer
          required:
            - total
      required:
        - data
        - meta
    WebhookSubscription:
      type: object
      properties:
        id:
          type: string
          format: uuid
        event:
          type: string
          enum:
            - job.created
            - job.updated
            - job.approved
            - job.expired
            - job.deleted
            - job.status_changed
            - application.received
            - application.status_changed
            - user.created
            - subscription.created
            - subscription.canceled
            - payment.received
            - '*'
        target_type:
          type: string
          enum:
            - webhook
            - discord
            - slack
        target_url:
          type: string
          format: uri
        is_enabled:
          type: boolean
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - event
        - target_type
        - target_url
        - is_enabled
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details: {}
            url:
              type: string
          required:
            - message
            - code
      required:
        - error
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Get yours from Settings > API Keys in the
        Kardow dashboard.

````